// The cutting ellipse inside has the dimensions of the circle scaled by Arg[0].xy around the center

float4 PS( VS_to_PS input) : SV_Target {
	clip(1.0f - length(ObjectPos));
	clip(length(ObjectPos / Arg[0].xy) - 1.0f);
	return Color;
}
